<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width">
    <script src="lib/vue.min.js"></script>
    <script src="lib/lodash.min.js"></script>

    <script src="js/script.js"></script>

    <link rel="stylesheet" href="css/styles.css">

    <title>Gestionnaire restaurants VueJS</title>
</head>

<body>
    <div id="app">
        <form v-on:submit="ajouterRestaurant(event)">
            <label>
                Nom : <input id="texte" type="text" name="nom" required v-model="name">
                <!-- le champs name doit etre nomé nom d'apres createResto en service -->
            </label>
            <label>
                Cuisine : <input id="texte" type="text" name="cuisine" required v-model="cuisine">
            </label>

            <button>Ajoutez</button>
        </form>

        <p>
            <label>
                Recherche Par Nom :
                <input type="text" v-model="nRecherche" v-on:input="RechercheDebounce()">
            </label>
        </p>
        <p>
            <!-- element rang pour changer le nombre de page -->
            Nb restaurants par page :
            <input type="range" min=5 max=100 value=10 v-model="nbRestosParPage" v-on:input="RechercheDebounce()">
            {{nbRestosParPage}}
        </p>

        <h1>Nombre de restaurants : {{nbRestos}} </h1>

        <p>
            <div id="AffichageMessage"></div>
        </p>

        <table>

            <tr>
                <th>Nom</th>
                <th>Cuisine </th>
                <th></th>
            </tr>

            <tbody>
                <tr v-for="r,index in restaurants" 
                v-bind:style="{backgroundColor:getColor(index)}"
                 v-bind:class="{bordureRouge:(index === 2)}"
                 >
                    <td>{{r.name}}</td>
                    <td> {{r.cuisine}}</td>
                    <td align="center">
                        <button v-on:click="supprimerRestaurant(r._id)" id="autreButton"><img src="img/delete.png">
                        </button>
                        &nbsp;
                        <button v-on:click="modifierRestaurant(r)" id="autreButton"><img src="img/modify.png">
                        </button>
                    </td>

                </tr>
            </tbody>

        </table>

        <br>
        <!-- au lieu de faire le disabled au niveau de style je le fais justee ici-->
        <button v-on:click="pagePremiere()" v-bind:disabled="page==0">
            <<</button> <button v-on:click="pagePrecedente()" v-bind:disabled="page==0">
                <</button> <button v-on:click="pageSuivante()" v-bind:disabled="page==nbPage">>
        </button>
        <button v-on:click="pageFin()" v-bind:disabled="page==nbPage">>></button>
        Pages : {{page+1}} / {{nbPage+1}}



        <br>
        <br>




        <!--demandé au prof ce probleme 
quand je crée deux div qui communique entre eux ç ne marche pas -->



        <form id="formulaireModification" v-on:submit="changerDonnéeResto(event)">
            <fieldset>
                <legend>Modification d'un restaurant</legend>
                <input type="hidden" name="_id" v-model="id_modif">
                <p><label>
                        Nom: <input id="texte" type="text" v-model="name_modif" name="nom" required>
                    </label></p>

                <p><label>
                        Cuisine: <input id="texte" type="text" v-model="cuisine_modif" name="cuisine" required>
                    </label></p>

                <p><button>Modifiez</button></p>
            </fieldset>
        </form>
    </div>
</body>

</html>